summaryrefslogtreecommitdiff
path: root/tagstats/test_tagstats.sh
diff options
context:
space:
mode:
authorJochen Topf <jochen@topf.org>2011-10-12 17:07:08 +0200
committerJochen Topf <jochen@topf.org>2011-10-12 17:07:08 +0200
commite6ba7db9ef8f4f02415b6bcc90f0e8acc7c6ba04 (patch)
tree091ed0016b45a18288920fc3fe05c734f149ab7e /tagstats/test_tagstats.sh
parent37218f57f1b53a5f0b1a3d4e4444e8d80b5d667c (diff)
downloadtaginfo-e6ba7db9ef8f4f02415b6bcc90f0e8acc7c6ba04.tar
taginfo-e6ba7db9ef8f4f02415b6bcc90f0e8acc7c6ba04.tar.gz
Generate distribution maps for keys on way, too
Until now distribution maps were only generated for keys on nodes. No there are maps for keys on ways, too. (Not for relations, though). This commit also adds command line options for tagstats to define the area you want the map for. Its no longer necessary to recompile tagstats if you want to change this. This commit does not change the UI/API yet, so you still only get the node map.
Diffstat (limited to 'tagstats/test_tagstats.sh')
-rwxr-xr-xtagstats/test_tagstats.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/tagstats/test_tagstats.sh b/tagstats/test_tagstats.sh
new file mode 100755
index 0000000..99bd12b
--- /dev/null
+++ b/tagstats/test_tagstats.sh
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# test_tagstats.sh
+#
+
+set -e
+set -x
+
+DATABASE=taginfo-db.db
+OSMFILE=$1
+
+rm -f $DATABASE
+
+sqlite3 $DATABASE <../sources/init.sql
+sqlite3 $DATABASE <../sources/db/pre.sql
+
+ulimit -c 1000000000
+rm -f core
+
+#./tagstats --left=5.5 --bottom=47 --right=15 --top=55 --width=200 --height=320 $OSMFILE
+./tagstats $OSMFILE
+